ClusterDisplaySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.ClusterDisplaySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class ClusterDisplaySummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.ResourceTypeDisplaySummary
          org.hyperic.hq.bizapp.shared.uibeans.SingletonDisplaySummary
              org.hyperic.hq.bizapp.shared.uibeans.ClusterDisplaySummary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class ClusterDisplaySummary

extends SingletonDisplaySummary
implements java.io.Serializable

Represents the resource current health summary displayed on the "Current Health" views for an cluster of resources.

See Also:
  Serialized Form

Constructor Summary
`ClusterDisplaySummary()`

Method Summary
`int` | `getSummaryType()` Returns a constant describing the summarized resources.

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.SingletonDisplaySummary
`getEntityId, getEntityName, setEntityId, setEntityName, toString`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.ResourceTypeDisplaySummary
`compareTo, getAppdefTypeId, getAvailability, getAvailTempl, getNumResources, getPerformance, getPerformanceUnits, getPerformTempl, getResourceType, getThroughput, getThroughputTempl, getThroughputUnits, setAppdefTypeId, setAvailability, setAvailTempl, setNumResources, setPerformance, setPerformanceUnits, setPerformTempl, setResourceType, setThroughput, setThroughputTempl, setThroughputUnits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClusterDisplaySummary

    public ClusterDisplaySummary()

Method Detail

### getSummaryType

    public int getSummaryType()

  Description copied from class: `ResourceTypeDisplaySummary`
  Returns a constant describing the summarized resources. Examples of summary types are "autogroup", "cluster" and "singleton".

  Overrides:
    `getSummaryType` in class `SingletonDisplaySummary`
  See Also:
    `UIConstants`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.